<?php

namespace FiloBlu\Esb\Model;

use FiloBlu\Esb\Api\Data\QueueItemInterface;
use FiloBlu\Esb\Api\RetryStrategyInterface;

/**
 * Class NoRetryStrategy
 * @package FiloBlu\Esb\Model
 */
class NoRetryStrategy implements RetryStrategyInterface
{

    /**
     * @inheritDoc
     */
    public function reschedule(QueueItemInterface $queueItem): bool
    {
        return false;
    }
}
